#include "common.h"
#include "warm.h"
#include "mqtt.h"
#include "gpio_pwm_carship.h"

int alarm_highest(int index) {//最高警报，最低电压报警
    if(index == 1) {
        pin_value(20,1);//紫灯
        pin_value(22,1);//蜂鸣器
    }else if(index == 0) {
        pin_value(20,0);//紫灯
        pin_value(22,0);//蜂鸣器
    }

    return index ;
}

int alarm_low(int index) {//比较小警报
    if(index == 1) {
        pin_value(16,1);//黄灯
    } else if(index == 0) {
        pin_value(16,0);//黄灯
    } 

    return index ;
}

int alarm_control(float voltage) {//关闭警报
    if(gPwmCount >= 5) {
        if( voltage >= 10.5 ) {
            alarm_highest(0);
            alarm_low(0);
        }else if(voltage >= 9.5&&voltage <= 10.5) {
            alarm_low(1);
            alarm_highest(0);
            printf("电压警告");
        }else if(voltage < 9.5) {
            alarm_highest(1);
            alarm_low(1);
            printf("换电警告");
        }   
    }
    return 0; 
}
